#
# spec file for package eglexternalplatform
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           eglexternalplatform
Version:        1.2.1
Release:        1.1
Summary:        The EGL External Platform interface
License:        MIT
Group:          Development/Libraries/C and C++
URL:            https://github.com/NVIDIA/eglexternalplatform
Source0:        https://github.com/NVIDIA/eglexternalplatform/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  meson

%description
A work-in-progress specification of the EGL External Platform interface.

%package devel
Summary:        The EGL External Platform interface
Group:          Development/Libraries/C and C++
BuildArch:      noarch

%description devel
This is a work-in-progress specification of the EGL External Platform interface
for writing EGL platforms and their interactions with window systems on
top of existing low-level EGL platform implementations. This keeps window system
implementation specifics out of EGL drivers by using application-facing
EGL functions.

%prep
%autosetup
%meson

%build
%meson_build

%install
%meson_install

%files devel
%license COPYING
%doc README.md
%{_datadir}/pkgconfig/eglexternalplatform.pc
%{_includedir}/*.h

%changelog
* Tue Jun 10 2025 Stefan Dirsch <sndirsch@suse.com>
- removed again empty %%check section
* Tue Jun 10 2025 Stefan Dirsch <sndirsch@suse.com>
- update to release 1.2.1
  * Override the installation directory of the pkg-config file to
    put it in the correct architecture-independent directory.
* Thu Sep 19 2024 Stefan Dirsch <sndirsch@suse.com>
- update to release 1.2
  * Change the shutdown behavior so that
    EGLExtPlatformExports::unloadEGLExternalPlatform is called
    while the internal EGLDisplays are still valid.
  * Added a meson.build file to generate the pkg-config file. It's
    also set up so that you can use eglexternalplatform as a Meson
    subproject.
  * Interface version 1.2 is supported on 560.* and later drivers.
* Mon Sep 27 2021 Stefan Dirsch <sndirsch@suse.com>
- needed for jira#SLE/SLE-19965, jira#SLE/SLE-19964, jira#SLE/SLE-18653
* Sun Jul  4 2021 Callum Farmer <gmbr3@opensuse.org>
- Use better tarball URL
- Run spec-cleaner
* Thu Jul  1 2021 Jan Engelhardt <jengelh@inai.de>
- Move headers into -devel subpackage to soothe the corresponding
  rpmlint warning.
* Thu Jul  1 2021 Stefan Dirsch <sndirsch@suse.com>
- added webpage for source tarballs to specfile
* Thu Jul  1 2021 Stefan Dirsch <sndirsch@suse.com>
- specfile cleanup
* Thu Jul  1 2021 Stefan Dirsch <sndirsch@suse.com>
- added missing copyright to specfile
* Thu Jul  1 2021 Stefan Dirsch <sndirsch@suse.com>
- tried to address checkin policy issues for factory
* Thu Jul  1 2021 Alexander Evseev <aevseev@gmail.com> - 1.1
- First build. Version 1.1 + git
